Skip to main content
POST
/
orgs
/
{org_id}
/
files
/
{file_id}
/
grants
Grant file access
import requests

url = "https://vued-office-api-dev.onrender.com/v1/orgs/{org_id}/files/{file_id}/grants"

payload = { "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
{
  "file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org_id
string<uuid>
required
file_id
string<uuid>
required

Body

application/json
user_id
string<uuid>
required

Response

200 - application/json

Grant object.

file_id
string<uuid>
user_id
string<uuid>
created_at
string
Last modified on June 29, 2026